List account-level billing providers
curl --request POST \
--url https://api.metronome.com/v1/listConfiguredBillingProviders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"next_page": "af26878a-de62-4a0d-9b77-3936f7c2b6d6"
}
'import requests
url = "https://api.metronome.com/v1/listConfiguredBillingProviders"
payload = { "next_page": "af26878a-de62-4a0d-9b77-3936f7c2b6d6" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({next_page: 'af26878a-de62-4a0d-9b77-3936f7c2b6d6'})
};
fetch('https://api.metronome.com/v1/listConfiguredBillingProviders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"billing_provider": "stripe",
"delivery_method_id": "4422e46f-b374-4159-97e3-300208cdb2e2",
"delivery_method": "direct_to_billing_provider",
"delivery_method_configuration": {
"stripe_account_id": "acct_1P6FywIkTQSg6Mm3",
"leave_invoices_in_draft": false,
"skip_zero_dollar_invoices": false,
"export_invoice_sub_line_items": false,
"include_zero_quantity_sub_line_items": true,
"stripe_invoice_quantity_always_string": false,
"set_effective_at_date_to_inclusive_period_end": false
}
},
{
"billing_provider": "aws_marketplace",
"delivery_method_id": "5b9e3072-415b-4842-94f0-0b6700c8b6be",
"delivery_method": "direct_to_billing_provider",
"delivery_method_configuration": {
"aws_external_id": "47b4f6b7-e297-42e8-b175-331d933b402c",
"aws_iam_role_arn": "arn:aws:iam::123456789012:role/MetronomeRole",
"aws_region": "us-east-1"
}
}
],
"next_page": null
}{
"message": "<string>"
}Settings
List account-level billing providers
Lists all configured billing providers and their delivery method configurations for your account. Returns provider details, delivery method IDs, and configuration settings needed for mapping individual customer contracts to billing integrations.
POST
/
v1
/
listConfiguredBillingProviders
List account-level billing providers
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Optional cursor to the next page of results
The cursor to the next page of results
⌘I